Выпущены обновления безопасности SMF 1.1.20 и SMF 2.0.9

Автор digger®, 03 октября 2014, 04:51:39

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

gorbi

Всем привет, а год не должен был в подвале поменяться на 2014 при обновлении?

S.T.A.L.K.E.R.

Цитата: gorbi от 05 октября 2014, 08:57:47
Всем привет, а год не должен был в подвале поменяться на 2014 при обновлении?
Сами поменяйте если желаете.
Здесь оно лежит - Themes/default/languages в файле index.russian-utf8 .


$forum_copyright = '<a href="' . $scripturl . '?action=credits" title="Simple Machines Forum" target="_blank" class="new_win">%1$s</a> |
<a href="http://www.simplemachines.org/about/smf/license.php" title="License" target="_blank" class="new_win">SMF &copy; 2014</a>, <a href="http://www.simplemachines.org" title="Simple Machines" target="_blank" class="new_win">Simple Machines</a>';

Год в коде видите ?Его и меняйте,у меня уже менян.

gorbi


Участник форума

digger®, я решил сделать "Large upgrade". На первый взгляд, прошло успешно.

Жека

Обновился 2.0.8 => 2.0.9 без ошибок с полтинником установленных модов.

Интересно, как оно с этим багом работало =)
Цитировать
    ./Sources/Memberlist.php

Код: (Найти ) [Выделить]
         $serach_fields[] = 'email';
Код: (Заменить ) [Выделить]
         $search_fields[] = 'email';

carlo22

И я обновился с 2.0.8 на 2.0.9. Ошибок не было никаких, хотя стоит тоже больше 50-ти модов.


karavan

Обновился из админки, все заняло примерно 8-10 секунд.

Schedrin

Господа, здрасте всем.

Проблема при обновлении, подскажите плс....  Обновлялся, как обычно, через админку - с SMF 1.1.19 до SMF 1.1.20. Выдает ошибку в установке пакета:




Чего делать?

Серый Лис

Цитата: Schedrin от 21 ноября 2014, 12:27:02Чего делать?

Если ошибка выскочила только в одном Subs-Package.php  взять из дистрибутива этот файл заменить его на сервере, почистить кэш и продолжить обновление.

Schedrin

Цитата: gray fox от 21 ноября 2014, 12:41:19
взять из дистрибутива этот файл заменить его на сервере, почистить кэш и продолжить обновление.
А где взять дистрибутив? Каким образом достать оттуда файл? Как чистится кэш? Как именно потом продолжать обновления? Поясните, плс.

GeorG

Цитата: Schedrin от 21 ноября 2014, 12:27:02Чего делать?
Посмотреть в установщике что там он изменяет и сделать это вручную.

Цитата: gray fox от 21 ноября 2014, 13:00:27в папке Sourses  найти файл Subs-Package.php  и на сервере заменить старый Subs-Package.php на взятый новый из дистрибутива
И потерять изменения внесённые модами, и возможно преобрести кучу ошобок в логах.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Schedrin


Серый Лис

Цитата: Schedrin от 21 ноября 2014, 13:23:51
Так у меня же не 2.0.9, а 1.0.19.

sorri  у вас обнова на SMF 1.1.20. (игнорируйте что писал выше)

karavan


Schedrin

Цитата: karavan от 21 ноября 2014, 13:30:49http://download.simplemachines.org/index.php?archive;version=75

Да, перешел по этой ссылке http://download.simplemachines.org/index.php?archive;version=75 ... Что дальше, поясните, плс. Совсем не понимаю, о чем речь.

P.S. У себя в разделе "Менеджер пакетов" сейчас наблюдаю вот что:




Неустановленный 1.1.20 / 2.0.9 Update отражается аж пятью позициями - 10, 13, 20, 25,  35.

GeorG

Скачайте и установите как патч.
Цитата: digger® от 03 октября 2014, 04:51:39
SMF 1.1.19 можно обновить до 1.1.20 скачав обновление со страницы загрузок официального сайта - smf_patch_1.1.20_2.0.9.zip, а также с помощью менеджера пакетов.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Schedrin

Цитата: GeorG от 21 ноября 2014, 19:08:43
Скачайте и установите как патч.

Пытаюсь. Пишет "Файл, который Вы загружаете, уже существует на сервере. Пожалуйста, удалите его и попробуйте снова. " ...

Schedrin

...При установке вручную та же картина:




Господа, какие мысли?  )


Schedrin

Цитата: digger® от 24 ноября 2014, 16:47:27
Обновиться сразу на двойку
Ыыыыы.... Не хотелось бы... )
Может все же можно мою текущую версию проапгрейдить?

BoPoH


GeorG

Найдите тот кусок кода который исправляет мод, и внесите его вручную...

P.s. А лучше конечно обновить до 2.0.9, ибо поддержка версии 1.1.х уже скоро закончится.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

digger®

Цитата: Schedrin от 24 ноября 2014, 16:56:26Ыыыыы.... Не хотелось бы... )
У вас неподдерживаемая версия форума, работающая на неподдерживаемой кодировке. И раз форум еще работает, значит крутится он на древней неподдерживаемой версии php.
Пора уже задумываться про обновление.

Schedrin

Цитата: GeorG от 24 ноября 2014, 17:06:29
Найдите тот кусок кода который исправляет мод, и внесите его вручную...

P.s. А лучше конечно обновить до 2.0.9, ибо поддержка версии 1.1.х уже скоро закончится.

ОК, спасибо, заменил фрагменты кода вручную, форум обновился до SMF 1.1.20.
А чем грозит окончание поддержки SMF 1.1.20? Форум перестанет работать? Или что?

Жека

Цитата: Schedrin от 25 ноября 2014, 12:13:15А чем грозит окончание поддержки SMF 1.1.20? Форум перестанет работать? Или что?
Выявленные дыры в безопасности, когда подвержены все версии SMF, закрывать будут только для версии 2.х.
Для версии 1.х разработчики этого больше делать не будут.

digger®

Цитата: Schedrin от 25 ноября 2014, 12:13:15
ОК, спасибо, заменил фрагменты кода вручную, форум обновился до SMF 1.1.20.
А чем грозит окончание поддержки SMF 1.1.20? Форум перестанет работать? Или что?
При публичном обнародовании какой-то обнаруженной уязвимости патчей выпускаться больше не будет. И какой-нибудь пионер поломает вам форум для забавы. Или боты завалят спамом.
То же самое касается древней версии php на которой работает форум.